Package com.independentsoft.office.odf.styles

# Enum Class VerticalRelation

java.lang.Object
java.lang.Enum<VerticalRelation>
com.independentsoft.office.odf.styles.VerticalRelation

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalRelation>`, `Constable`

public enum VerticalRelation extends Enum<VerticalRelation>
Represents the area against which the vertical position of a frame is positioned.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASE_LINE`
  Vertical position of frame positioned relative to a baseline.
  `CHAR`
  Vertical position of frame positioned relative to a character.
  `FRAME`
  Vertical position of frame positioned relative to a frame.
  `FRAME_CONTENT`
  Vertical position of frame positioned relative to frame content.
  `LINE`
  Vertical position of frame positioned relative to a line.
  `NONE`
  None.
  `PAGE`
  Vertical position of frame positioned relative to a page.
  `PAGE_CONTENT`
  Vertical position of frame positioned relative to page content.
  `PARAGRAPH`
  Vertical position of frame positioned relative to a paragraph.
  `PARAGRAPH_CONTENT`
  Vertical position of frame positioned relative to paragraph content.
  `TEXT`
  Vertical position of frame positioned relative to text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalRelation`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalRelation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PAGE

    public static final VerticalRelation PAGE
    Vertical position of frame positioned relative to a page.

  - ### PAGE_CONTENT

    public static final VerticalRelation PAGE_CONTENT
    Vertical position of frame positioned relative to page content.

  - ### FRAME

    public static final VerticalRelation FRAME
    Vertical position of frame positioned relative to a frame.

  - ### FRAME_CONTENT

    public static final VerticalRelation FRAME_CONTENT
    Vertical position of frame positioned relative to frame content.

  - ### PARAGRAPH

    public static final VerticalRelation PARAGRAPH
    Vertical position of frame positioned relative to a paragraph.

  - ### PARAGRAPH_CONTENT

    public static final VerticalRelation PARAGRAPH_CONTENT
    Vertical position of frame positioned relative to paragraph content.

  - ### CHAR

    public static final VerticalRelation CHAR
    Vertical position of frame positioned relative to a character.

  - ### LINE

    public static final VerticalRelation LINE
    Vertical position of frame positioned relative to a line.

  - ### BASE_LINE

    public static final VerticalRelation BASE_LINE
    Vertical position of frame positioned relative to a baseline.

  - ### TEXT

    public static final VerticalRelation TEXT
    Vertical position of frame positioned relative to text.

  - ### NONE

    public static final VerticalRelation NONE
    None.

- ## Method Details

  - ### values

    public static VerticalRelation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalRelation valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null